CREATE PROCEDURE [dbo].[ANDON_RECV_SCHE]
AS
BEGIN
	DECLARE @sqlcmd varchar(8000);
	DECLARE @cmd varchar(8000);
	DECLARE @PassedVariable varchar(8000);
	DECLARE @cmdSQL varchar(8000);

	PRINT 'using SqlCMD.exe';
	SET @sqlcmd = 'osql -n -h-1 -E -S' + 'localhost' + ' -d"IPPCS_PROD" -o"c:\andon_recv\data\outfile.txt" '
	SET @cmd = '-Q"SELECT a.ORDER_NO, a.MANIFEST_NO, a.FST_X_DOCK_ARRIVAL_DT,a.FST_X_SHIPPING_DOCK_CD,a.SND_X_SHIPPING_DOCK_CD,a.SND_X_DOCK_ARRIVAL_DT, a.SUB_ROUTE_CD, a.SUB_ROUTE_SEQ, a.DOCK_CD, a.SUPPLIER_CD, a.SUPPLIER_PLANT, b.PART_NO, a.P_LANE_SEQ, b.ORDER_QTY, (b.ORDER_QTY - ISNULL(c.DAMAGE_QTY,0)- ISNULL(c.SHORTAGE_QTY,0)- ISNULL(c.MISSPART_QTY,0))RECEIVED_QTY, a.DROP_STATUS_FLAG, a.RECEIVE_FLAG, b.KANBAN_NO FROM TB_R_DAILY_ORDER_MANIFEST a INNER JOIN TB_R_DAILY_ORDER_PART b ON a.MANIFEST_NO = b.MANIFEST_NO LEFT OUTER JOIN TB_R_PROBLEM_PART c ON c.MANIFEST_NO = b.MANIFEST_NO AND c.PART_NO = b.PART_NO	WHERE a.DOCK_CD = ''1E'' AND b.ORDER_QTY > 0 AND CAST(CONVERT(VARCHAR(10),FST_X_DOCK_ARRIVAL_DT,120) AS DATETIME) >= CAST(CONVERT(VARCHAR(10),getdate()-1,120) AS DATETIME) AND CAST(CONVERT(VARCHAR(10),FST_X_DOCK_ARRIVAL_DT,120) AS DATETIME) <= CAST(CONVERT(VARCHAR(10),getdate()+1,120) AS DATETIME) ORDER BY FST_X_DOCK_ARRIVAL_DT,ORDER_NO,MANIFEST_NO,a.P_LANE_SEQ"';

	SET @sqlcmd = @sqlcmd + @cmd + ' -s";" -w800';
	--SELECT @sqlcmd;

    print (@sqlcmd);
	EXEC master.dbo.xp_cmdshell @sqlcmd, no_output;

	SET @cmdSQL = 'c:\andon_recv\andon_recv.bat';
	EXEC master.dbo.xp_cmdshell @cmdSQL;
END

